#include <afxwin.h>
#include <afxext.h>
#include "resource.h"
class CSimpleApp : public CWinApp
{
public:
BOOL InitInstance();
};
 
class CMainFrame : public CFrameWnd
{
public:
CMainFrame();
afx_msg void OnButton1Click();
afx_msg void OnButton2Click();
afx_msg void InitialiseToolBar();
DECLARE_MESSAGE_MAP()
CToolBar wndToolBar;
};
 
BOOL CSimpleApp::InitInstance()
{
m_pMainWnd = new CMainFrame();
m_pMainWnd->ShowWindow(m_nCmdShow);
return TRUE;
}

 
CMainFrame::CMainFrame()
{
Create(NULL, "MFC Toolbar demo",WS_OVERLAPPEDWINDOW ,CRect(25,25,500,250));
InitCommonControls();
InitialiseToolBar();
}

BEGIN_MESSAGE_MAP(CMainFrame,CFrameWnd)
ON_COMMAND(TB_BUTTON1,OnButton1Click)//responds to first button click
ON_COMMAND(TB_BUTTON2,OnButton2Click)//responds to second button click
END_MESSAGE_MAP()

CSimpleApp MFCApp1;
 
afx_msg void CMainFrame::OnButton1Click()
{
MessageBox("Button1 clicked","Toolbar demo",MB_OK);
} 
afx_msg void CMainFrame::OnButton2Click()
{
MessageBox("Button2 clicked","Toolbar demo",MB_OK);
} 
afx_msg void CMainFrame::InitialiseToolBar()
{
wndToolBar.CreateEx(this,TBSTYLE_FLAT, WS_CHILD | WS_VISIBLE| CBRS_TOP);
wndToolBar.LoadToolBar(IDR_TOOLBAR1);//load toolbar from resources
}
